Package ru.bitel.bgbilling.modules.cerbercrypt.server.bean

# Class GraduallySubscriptionManager

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.common.dao.AbstarctDaoConstant
ru.bitel.common.dao.AbstractDao<GraduallySubscription>
ru.bitel.bgbilling.modules.cerbercrypt.server.bean.GraduallySubscriptionManager

All Implemented Interfaces:
  `AutoCloseable`

public class GraduallySubscriptionManager extends ru.bitel.common.dao.AbstractDao<GraduallySubscription>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class ru.bitel.common.dao.AbstractDao

  `ru.bitel.common.dao.AbstractDao.ResultSetIterator`

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.dao.AbstractDao

  `cacheFilter, cacheJoin, cacheOrderBy, cachePaged, cachePS, cacheWhat, con, getByIdPS, moduleId, orderByPattern, tableName`

  ### Fields inherited from class ru.bitel.common.dao.AbstarctDaoConstant

  `ERROR, fields, SQL_ALL, SQL_AND, SQL_CALC_FOUND_ROWS, SQL_DELETE, SQL_DISTINCT, SQL_EQ, SQL_EQCS, SQL_FROM, SQL_GROUP, SQL_IN, SQL_INSERT, SQL_JOIN, SQL_LEFT_JOIN, SQL_LIMIT, SQL_NOT_IN, SQL_ON, SQL_ON_DUPLICATE_KEY_UPDATE, SQL_ORDER, SQL_SELECT, SQL_SET, SQL_UPDATE, SQL_VALUES, SQL_WHERE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GraduallySubscriptionManager(Connection con, int moduleId)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Date`
  `getDate(int entityId)`
  Возвращает дату продления по айдишнику сущности.
  `Map<Integer,Date>`
  `getDateMap()`
  Все элементы существующие.
  `protected GraduallySubscription`
  `getFromRS(ResultSet rs)`
  `void`
  `updateDate(int entityId, Date date)`
  Обновляет/добавляет(если нету) дату для сущности.
  `protected void`
  `updateImpl(GraduallySubscription entry)`

  ### Methods inherited from class ru.bitel.common.dao.AbstractDao

  `close, delete, deleteImpl, dropTemporaryTable, eq, get, getById, getImpl, getListFromRS, getPeriod, getQueryById, getSQLOrder, getTableName, list, list, listImpl, listImpl, listImplPS, listImplPS, loadData, ormFromResultSet, ormUpdateImpl, ormUpdateImpl, ormUpdateImpl, ormUpdateImpl, processException, setPageRecordCount, setStatementParam, update`

  ### Methods inherited from class ru.bitel.common.dao.AbstarctDaoConstant

  `getSQLOrder, psSetDate, psSetInt, psSetString, queryAndIn`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### GraduallySubscriptionManager

    public GraduallySubscriptionManager(Connection con, int moduleId)

- ## Method Details

  - ### getFromRS

    protected GraduallySubscription getFromRS(ResultSet rs) throws SQLException, ru.bitel.bgbilling.common.BGException
    Specified by:
      `getFromRS` in class `ru.bitel.common.dao.AbstractDao<GraduallySubscription>`
    Throws:
      `SQLException`
      `ru.bitel.bgbilling.common.BGException`

  - ### updateImpl

    protected void updateImpl(GraduallySubscription entry) throws ru.bitel.bgbilling.common.BGException, SQLException
    Specified by:
      `updateImpl` in class `ru.bitel.common.dao.AbstractDao<GraduallySubscription>`
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `SQLException`

  - ### getDate

    public Date getDate(int entityId) throws ru.bitel.bgbilling.common.BGException
    Возвращает дату продления по айдишнику сущности.
    Parameters:
      `entityId` - ид канала/пакета (решает активатор).
    Returns:
      дата, либо null, если нет такой записи ещё
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### updateDate

    public void updateDate(int entityId, Date date) throws Exception
    Обновляет/добавляет(если нету) дату для сущности.
    Parameters:
      `entityId` - сущность
      `date` - дата
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `Exception`

  - ### getDateMap

    public Map<Integer,Date> getDateMap() throws ru.bitel.bgbilling.common.BGException
    Все элементы существующие.
    Returns:
      мэп сущностьИд=>дата
    Throws:
      `ru.bitel.bgbilling.common.BGException`